/* 
   treeGrid.css

   style for the tree-grid
   for both Bootstrap 2 and Bootstrap 3

*/



.tree-grid-animate-enter,
.tree-grid-row.ng-enter {
  transition: 200ms linear all;
  position: relative;
  display: block;
  opacity: 0;
  max-height:0px;
}
.tree-grid-animate-enter.tree-grid-animate-enter-active,
.tree-grid-row.ng-enter-active{
  opacity: 1;
  max-height:30px;
}

.tree-grid-animate-leave,
.tree-grid-row.ng-leave {
  transition: 200ms linear all;
  position: relative;
  display: block;
  height:30px;
  max-height: 30px;
  opacity: 1;
}
.tree-grid-animate-leave.tree-grid-animate-leave-active,
.tree-grid-row.ng-leave-active {  
  height: 0px;
  max-height:0px;
  opacity: 0;
}


/* 
------------------------------------------
Angular 1.2.0 Animation 
*/


.tree-grid-animate.ng-enter{

}
.tree-grid-animate.ng-enter{

}




/*
   end animation stuff
-----------------------------------------
   begin normal css stuff
*/
.tree-grid .tree-grid-row {  
  padding: 0px;
  margin:0px;
}
.tree-grid .tree-grid-row td {
    padding: 1px;
    margin:0px;
}

.tree-grid .tree-grid-row a {
  padding: 3px 10px;
}

.tree-grid i.indented {
  padding: 2px;
}

.tree-grid {
}
.tree-grid .level-1 .indented {
  position: relative;
  left: 0px;
}
.tree-grid .level-2 .indented {
  position: relative;
  left: 20px;
}
.tree-grid .level-3 .indented {
  position: relative;
  left: 40px;
}
.tree-grid .level-4 .indented {
  position: relative;
  left: 60px;
}
.tree-grid .level-5 .indented {
  position: relative;
  left: 80px;
}
.tree-grid .level-6 .indented {
  position: relative;
  left: 100px;
}
.tree-grid .level-7 .indented {
  position: relative;
  left: 120px;
}
.tree-grid .level-8 .indented {
  position: relative;
  left: 140px;
}
.tree-grid .level-9 .indented {
  position: relative;
  left: 160px;
}

.tree-grid .tree-icon,
.tree-label {
    cursor: pointer;
}

table.tree-grid {
    max-height: 500px;
    overflow-y: scroll;
}


/** Bootstrap */
.table-bordered {
    border: 1px solid #DDD;
}
.table {
    width: 100%;
    margin-bottom: 20px;
}
table {
    max-width: 100%;
    background-color: transparent;
}
table {
    border-collapse: collapse;
    border-spacing: 0px;
}
* {
    box-sizing: border-box;
}

.table > caption + thead > tr:first-child > th, .table > colgroup + thead > tr:first-child > th, .table > thead:first-child > tr:first-child > th, .table > caption + thead > tr:first-child > td, .table > colgroup + thead > tr:first-child > td, .table > thead:first-child > tr:first-child > td {
    border-top: 0px none;
}
.table-bordered > thead > tr > th, .table-bordered > thead > tr > td {
    border-bottom-width: 2px;
}
.table-bordered > thead > tr > th, .table-bordered > tbody > tr > th, .table-bordered > tfoot > tr > th, .table-bordered > thead > tr > td, .table-bordered > tbody > tr > td, .table-bordered > tfoot > tr > td {
    border: 1px solid #DDD;
}
.table > thead > tr > th {
    vertical-align: bottom;
    border-bottom: 2px solid #DDD;
}
.table > thead > tr > th, .table > tbody > tr > th, .table > tfoot > tr > th, .table > thead > tr > td, .table > tbody > tr > td, .table > tfoot > tr > td {
    padding: 8px;
    line-height: 1.42857;
    vertical-align: top;
    border-top: 1px solid #DDD;
}
th {
    text-align: left;
}
td, th {
    padding: 0px;
}
* {
    box-sizing: border-box;
}
.text-primary {
    color: #428BCA;
}
.tree-grid {
    cursor: pointer;
}
table {
    border-collapse: collapse;
    border-spacing: 0px;
}
body {
    font-family: "Helvetica Neue",Helvetica,Arial,sans-serif;
    font-size: 14px;
    line-height: 1.42857;
    color: #333;
}
html {
    font-size: 62.5%;
}
html {
    font-family: sans-serif;
}